package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.SecretModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s SecretModel
 *
 * @时间 2019年8月21日
 */
public interface SecretProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(SecretModel model);

    public BocloudResult remove(SecretModel model);

    public BocloudResult detail(SecretModel model);

    public BocloudResult modify(SecretModel model);
}
